GNU bug report logs - #3219
Long Line Sluggishness

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: David Reitter <david.reitter@HIDDEN>; merged with #4123, #9589, #13675, #15555, #18530, #24523, #30457; dated Tue, 5 May 2009 12:50:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3219 4123 9589 13675 15555 18530 24523 30457. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 18530 24523. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 3219 <at> debbugs.gnu.org:


Received: (at 3219) by debbugs.gnu.org; 26 Jan 2016 14:41:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 26 09:41:08 2016
Received: from localhost ([127.0.0.1]:36732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aO4ns-00081v-DP
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2016 09:41:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57997)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aO4nq-00081D-H5
 for 3219 <at> debbugs.gnu.org; Tue, 26 Jan 2016 09:41:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aO4nh-0004ac-IN
 for 3219 <at> debbugs.gnu.org; Tue, 26 Jan 2016 09:41:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37265)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aO4nS-0004WX-Gp; Tue, 26 Jan 2016 09:40:42 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1324
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aO4nR-0006Dt-MP; Tue, 26 Jan 2016 09:40:42 -0500
Date: Tue, 26 Jan 2016 16:41:10 +0200
Message-Id: <83wpqw1jzt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
In-reply-to: <m2k2mw2aaq.fsf@HIDDEN> (message from Andrew Hyatt on Tue, 26
 Jan 2016 00:13:01 -0500)
Subject: Re: bug#15555: 24.3; Bidirectional display very slow with long lines
References: <OFB6BCDCF4.790FBD5D-ON85257BFD.006A738E-85257BFD.006E62BF@HIDDEN>
 <83wqlo461e.fsf@HIDDEN>
 <OF2B55B1F5.54EA9C4F-ON85257BFE.0053238D-85257BFE.00560E73@HIDDEN>
 <8338obskk4.fsf@HIDDEN> <jwv38oa1vlp.fsf-monnier+emacsbugs@HIDDEN>
 <83iox6qt1t.fsf@HIDDEN>
 <OFBDC2F7EF.E6CC108C-ON85257BFF.00624440-85257BFF.00634304@HIDDEN>
 <m2k2mw2aaq.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 3219
Cc: jlquinn@HIDDEN, 15555 <at> debbugs.gnu.org, monnier@HIDDEN,
 3219 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Andrew Hyatt <ahyatt@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  3219 <at> debbugs.gnu.org,  15555 <at> debbugs.gnu.org,  Stefan Monnier <monnier@HIDDEN>
> Date: Tue, 26 Jan 2016 00:13:01 -0500
> 
> FWIW, on Emacs 25 on Mac OS X, the bidi text as reported in the initial
> bug is still very slow.

Nothing was done since then to speed up redisplay for such long lines.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#3219; Package emacs. Full text available.

Message received at 3219 <at> debbugs.gnu.org:


Received: (at 3219) by debbugs.gnu.org; 26 Jan 2016 05:13:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 26 00:13:11 2016
Received: from localhost ([127.0.0.1]:36525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aNvwF-0001bG-8Y
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2016 00:13:11 -0500
Received: from mail-qg0-f46.google.com ([209.85.192.46]:35514)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ahyatt@HIDDEN>)
 id 1aNvwD-0001ay-Dw; Tue, 26 Jan 2016 00:13:09 -0500
Received: by mail-qg0-f46.google.com with SMTP id o11so127228351qge.2;
 Mon, 25 Jan 2016 21:13:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=+Kbp4D7VE6ZBdexfiVOBTNwi2sWi6i7dCgZNwp1MIWc=;
 b=u8PknroAF8cIR1/+MUP1XwCVDuLTLUTM6gVDntq3+YJ6WtkdaT5bxQHZSx17JyxOx6
 hBCN1KMGP6weKQzzTiSpqZHfP2h0EoZS7VPd2a2D0w3gCnmxqtzXY3cvM/8Trk40D85W
 SZ1CDGdsNvB9YZ6Kee1JdvTra2ElPtJ4aKWTOwcsM03niQVAcJSJU8t5AUA7/WwUC4uj
 jFSmvaPMn0tRFBdBwebVCOkGquWU2rvaH0oOkJRvtp9Z1f9pEroESICSTVoHoct7PhyD
 GvI/GBkcGZxn7YWOORMqb1kaFstCNlxWnZ4nL0yge2Kjhow2OHcoTbhFIHAT6Su0+vvd
 4sBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=+Kbp4D7VE6ZBdexfiVOBTNwi2sWi6i7dCgZNwp1MIWc=;
 b=kmxScOrxR+MTGo2FW5ihArbe7WlmcpkA0Z8wtUhmQ0l4VI6jvYS+n1XQ88LsI131vq
 CywDEwq9cEUxXZw5J9k7LXy8tdwYtNPp2ZKD6sWTBjXo0fGMpK4StLydxPqufUEeAGAw
 IO/Q3a+PNmQP78sOpUtsT8ceCtmZFWNR1Vn8n2cs2/OGi2opILsMeMwLqPGzUycqJjD4
 m3XG9erKY/DcYbcdT9iZv5eAPgwTBVEIrM4YtImGhZeaJaOCPj4dYByzHkTEe1MdE6oY
 hRd8IAFm7/7Cgfebg5j4AtdLpdG95GpxjT/gIVxeozqKejUuoBjHw/TR3Ssylw2W/eGa
 /JOQ==
X-Gm-Message-State: AG10YORE6Wtwe8aozytMmj/Wl91Zp98I+sOCVfUFe+hJM+VLg1inhB+9WJi5INMWle84HQ==
X-Received: by 10.55.80.131 with SMTP id e125mr25892105qkb.62.1453785184077;
 Mon, 25 Jan 2016 21:13:04 -0800 (PST)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id g6sm10195784qgd.5.2016.01.25.21.13.02
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 25 Jan 2016 21:13:03 -0800 (PST)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: Jerome L Quinn <jlquinn@HIDDEN>
Subject: Re: bug#15555: 24.3; Bidirectional display very slow with long lines
References: <OFB6BCDCF4.790FBD5D-ON85257BFD.006A738E-85257BFD.006E62BF@HIDDEN>
 <83wqlo461e.fsf@HIDDEN>
 <OF2B55B1F5.54EA9C4F-ON85257BFE.0053238D-85257BFE.00560E73@HIDDEN>
 <8338obskk4.fsf@HIDDEN> <jwv38oa1vlp.fsf-monnier+emacsbugs@HIDDEN>
 <83iox6qt1t.fsf@HIDDEN>
 <OFBDC2F7EF.E6CC108C-ON85257BFF.00624440-85257BFF.00634304@HIDDEN>
Date: Tue, 26 Jan 2016 00:13:01 -0500
In-Reply-To: <OFBDC2F7EF.E6CC108C-ON85257BFF.00624440-85257BFF.00634304@HIDDEN>
 (Jerome L. Quinn's message of "Wed, 9 Oct 2013 14:04:12 -0400")
Message-ID: <m2k2mw2aaq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 3219
Cc: Eli Zaretskii <eliz@HIDDEN>, 15555 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>, 3219 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Jerome L Quinn <jlquinn@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> wrote on 10/09/2013 12:59:26 PM:
>
>> From: Eli Zaretskii <eliz@HIDDEN>
>> To: Stefan Monnier <monnier@HIDDEN>
>> Cc: Jerome L Quinn/Watson/IBM@IBMUS, 15555 <at> debbugs.gnu.org
>> Date: 10/09/2013 12:59 PM
>> Subject: Re: bug#15555: 24.3; Bidirectional display very slow with long lines
>> 
>> > From: Stefan Monnier <monnier@HIDDEN>
>> > Cc: Jerome L Quinn <jlquinn@HIDDEN>, 15555 <at> debbugs.gnu.org
>> > Date: Wed, 09 Oct 2013 08:26:58 -0400
>> > 
>> > >> And disabling bidi reordering completely eliminates the bad behavior.
>> > > If you can afford that, go for it.
>> > 
>> > IIRC this is the first report where setting bidi-display-reordering to
>> > nil is really the best recommendation we can offer (and where it
>> > apparently indeed helps significantly).
>> 
>> Actually, it's not my recommendation. But the OP keeps claiming that
>> nothing else works for him.
>> 
>> My recommendation would be rather to make lines shorter.
>
> I can't make the lines shorter. The file I'm looking at is computer-generated.
>
> I can disable reordering, which does solve the speed problem for me. I'd just like
> to help identify the source of the issue so that it can be resolved at some point.
>
>> > I consider bidi-display-reordering as a debugging tool rather than
>> > a user config, so I'm not very happy about this situation.
>> 
>> I'm not happy either (probably even less than you), but I'm not going
>> to agree that slow redisplay of 14K-character lines has anything to do
>> with bidirectional editing support. _Anything_ that slows down
>> redisplay even a bit will have the same effect with such long lines,
>> e.g., JIT font lock, Flyspell, invisible text, you name it. In fact,
>> even on a reasonably fast machine (mine is a core i7 screamer) Emacs
>> is unbearably slow with such long lines without reordering as well.
>> Maybe the OP has an unreasonably fast machine, but that just makes his
>> use case even more rare.
>
> I'm not sure what else I can do. I timed how long it takes to page down and
> move the cursor and it's much slower with reordering enabled on my test
> case.
>
> No, moving around with 14K lines and reordering off is not lightning fast. It
> is however subsecond response on my machine. Reordering brings subsecond
> response up to multiple seconds as you are further along the line.
>
> I am on a high-end 12 core xeon machine, so yes, the hardware is fast.

FWIW, on Emacs 25 on Mac OS X, the bidi text as reported in the initial
bug is still very slow.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#3219; Package emacs. Full text available.
Merged 3219 4123 9589 13675 15555 18530. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #16786 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 16786. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123. Request was from Chong Yidong <cyd@HIDDEN> to control@HIDDEN. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 5 May 2009 12:44:18 +0000
From david.reitter@HIDDEN Tue May  5 05:44:17 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: **
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=2.0 required=4.0 tests=AWL,CAPINIT,FOURLA
	autolearn=no version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n45CiCMT010917
	for <submit@HIDDEN>; Tue, 5 May 2009 05:44:13 -0700
Received: from mail.gnu.org ([199.232.76.166]:60335 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <david.reitter@HIDDEN>)
	id 1M1K0J-0007x1-Dr
	for emacs-pretest-bug@HIDDEN; Tue, 05 May 2009 08:44:11 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <david.reitter@HIDDEN>)
	id 1M1K0H-0002aB-DU
	for emacs-pretest-bug@HIDDEN; Tue, 05 May 2009 08:44:11 -0400
Received: from qw-out-1920.google.com ([74.125.92.148]:54983)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <david.reitter@HIDDEN>)
	id 1M1K0G-0002Zl-OW
	for emacs-pretest-bug@HIDDEN; Tue, 05 May 2009 08:44:09 -0400
Received: by qw-out-1920.google.com with SMTP id 4so3383011qwk.24
        for <emacs-pretest-bug@HIDDEN>; Tue, 05 May 2009 05:44:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:from:to
         :content-type:content-transfer-encoding:mime-version:subject:date
         :x-mailer;
        bh=3zndfMBNMuXIrFegItDDlf4wKbuVUGiugp18uUIMPc8=;
        b=m5h7ZvXKiHQhj/vUtJ9B4sw6CQm3qVBBa4yeEBKtc+FoNNH5MZ2uqAfrm9e4Z7GOEj
         HxDkEe3JXBgRSImMqYMXqRuYYLecYLRB3Zi7BsXgS/qQ32H0vmUnKOWJcccYKEGql8Q9
         021tJIUm33gCOYNiENdMeMfGH1jplgm2YJZvI=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:from:to:content-type:content-transfer-encoding
         :mime-version:subject:date:x-mailer;
        b=YPvCLvI9clgug0aPlW9XkLHOwIh/1OWJIRKzvMk1xUAm0noNe4CdbX6zMZBMWM6qs+
         5o3X5iPzK/2IZdQj9L2zB+piWWYyfq/hr5Of6D5stDdjtOte0u7STJVl7L+uaiwx6slI
         yZ12BLPzmne9Pg95OXMsHTfJLkP1palVCzdAo=
Received: by 10.224.36.202 with SMTP id u10mr30097qad.121.1241527448204;
        Tue, 05 May 2009 05:44:08 -0700 (PDT)
Received: from scarlett.local (pool-71-162-19-47.pitbpa.east.verizon.net [71.162.19.47])
        by mx.google.com with ESMTPS id 26sm13585285qwa.36.2009.05.05.05.44.06
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Tue, 05 May 2009 05:44:07 -0700 (PDT)
Message-Id: <ECA313FC-1DA9-4E62-9E2E-DAC9AE55F284@HIDDEN>
From: David Reitter <david.reitter@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v930.3)
Subject: Long Line Sluggishness
Date: Tue, 5 May 2009 08:44:05 -0400
X-Mailer: Apple Mail (2.930.3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

Emacs becomes extremely sluggish when long lines are used.

To reproduce:
Emacs -Q
Enter long line through recursive copy/paste  (about 700k characters  
in my example)
- use vertical scrollbar to scroll to the bottom   -> doesn't work
- use End key to scroll to bottom

Now move around, enter text, scroll up, etc: everything happens with a  
substantial (0.5-1.0 seconds) delay.

For a more practical example: I was working in lisp-interaction-mode,  
typing C-j after "load-history", and expanding one of the "..."  
ellipses. This gave me a line in excess of 100k.

Similarly, users might want to edit long (mostly binary) files.  But  
maybe that's a corner case, and it would be okay to change C-j a bit  
to format the output better.

This is not a regression compared to Emacs 22 (comparing to Carbon  
port).




In GNU Emacs 23.0.92.19 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
  of 2009-04-30 on SCARLETT.PSY.CMU.EDU
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns' '--without-x' 'CFLAGS=- 
DMAC_OS_X_VERSION_MIN_REQUIRED=1040  -O3''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: en_US.US-ASCII
   value of $LC_CTYPE: en_US.US-ASCII
   value of $LC_MESSAGES: en_US.US-ASCII
   value of $LC_MONETARY: en_US.US-ASCII
   value of $LC_NUMERIC: en_US.US-ASCII
   value of $LC_TIME: en_US.US-ASCII
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: us-ascii-unix
   default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
s-v s-v s-v s-v s-v s-v s-v s-v s-v s-v <wheel-up>
<double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<wheel-up> <double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> s-a s-c <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<mouse-1> C-SPC <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <down-mouse-1> <down-mouse-1> <down-mouse-1>
<down-mouse-1> <mouse-1> <end> s-c SPC s-v SPC s-v
SPC s-v s-v s-v s-v s-v s-v s-v <wheel-up> <double-wheel-up>
<wheel-up> <double-wheel-up> <down-mouse-1> <mouse-1>
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1>
<mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1>
<wheel-up> <double-wheel-up> <wheel-up> <double-wheel-up>
<wheel-up> <double-wheel-up> <escape> x r e p o r t
- b <tab> <return>

Recent messages:
byte-code: Beginning of buffer [5 times]
byte-code: End of buffer [5 times]
byte-code: Beginning of buffer [4 times]
byte-code: End of buffer [6 times]
Mark set [114 times]
Saved text until "lled through super interpretKeyEvents:])"
byte-code: End of buffer
Mark set [2 times]
Saved text from "per interpretKeyEvents:]) <NSTextInput> "
Mark set [9 times]





Acknowledgement sent to David Reitter <david.reitter@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3219; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Feb 2018 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.